Debian Bug report logs - #129334
procps: Pass color sequences through watch

version graph

Package: procps; Maintainer for procps is Craig Small <csmall@debian.org>; Source for procps is src:procps.

Reported by: Anthony DeRobertis <asd@suespammers.org>

Date: Tue, 15 Jan 2002 09:03:04 UTC

Severity: wishlist

Found in versions 1:2.0.7-8, 1:3.2.5-1

Fixed in version procps/1:3.2.8-8

Done: Craig Small <csmall@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Craig Small <csmall@debian.org>:
Bug#129334; Package procps. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <asd@suespammers.org>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <asd@suespammers.org>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: procps: Pass color sequences through watch
Date: Tue, 15 Jan 2002 03:53:15 -0500
Package: procps
Version: 1:2.0.7-8
Severity: wishlist

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I'd like to be able to do, e.g.:

	watch ls -l --color

and have the color come through, instead of seing things like [00m.

- -- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux bohr 2.4.16 #2 SMP Wed Nov 28 05:25:00 EST 2001 i686
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages procps depends on:
ii  libc6                     2.2.4-7        GNU C Library: Shared libraries an
ii  libncurses5               5.2.20010318-3 Shared libraries for terminal hand

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8Q+3+5lsmI6uA7bQRApMAAJ9Y7CUQmokK+mHN4lf7UX/uGLHwRQCfWhfk
nOawRKKxuGGS9qWGkQg2/a4=
=3yRo
-----END PGP SIGNATURE-----



Bug marked as found in version 1:3.2.5-1. Request was from csmall@enc.com.au (Craig Small) to control@bugs.debian.org. Full text and rfc822 format available.

Added tag(s) pending. Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Mon, 01 Mar 2010 01:33:02 GMT) Full text and rfc822 format available.

Reply sent to Craig Small <csmall@debian.org>:
You have taken responsibility. (Mon, 01 Mar 2010 06:18:03 GMT) Full text and rfc822 format available.

Notification sent to Anthony DeRobertis <asd@suespammers.org>:
Bug acknowledged by developer. (Mon, 01 Mar 2010 06:18:03 GMT) Full text and rfc822 format available.

Message #14 received at 129334-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: 129334-close@bugs.debian.org
Subject: Bug#129334: fixed in procps 1:3.2.8-8
Date: Mon, 01 Mar 2010 06:17:11 +0000
Source: procps
Source-Version: 1:3.2.8-8

We believe that the bug you reported is fixed in the latest version of
procps, which is due to be installed in the Debian FTP archive:

libproc-dev_3.2.8-8_amd64.deb
  to main/p/procps/libproc-dev_3.2.8-8_amd64.deb
procps_3.2.8-8.debian.tar.gz
  to main/p/procps/procps_3.2.8-8.debian.tar.gz
procps_3.2.8-8.dsc
  to main/p/procps/procps_3.2.8-8.dsc
procps_3.2.8-8_amd64.deb
  to main/p/procps/procps_3.2.8-8_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 129334@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@debian.org> (supplier of updated procps package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 01 Mar 2010 12:37:06 +1100
Source: procps
Binary: procps libproc-dev
Architecture: source amd64
Version: 1:3.2.8-8
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@debian.org>
Description: 
 libproc-dev - library for accessing process information from /proc
 procps     - /proc file system utilities
Closes: 129334 434221 507788 571281 571790
Changes: 
 procps (1:3.2.8-8) unstable; urgency=low
 .
   * Work-around for kfreebsd HZ problem Bug #460331
   * Added comments about ipv6 keys to README Closes: #507788
     ipv6 is compiled in by default so this impacts custom kernels only
   * Added note the ipv4/tcp* keys effect ipv6 too Closes: #571281
   * watch interprets ANSI color Closes: #129334
   * Fixed off by one for top -u username Closes: #571790
   * Document maj_flt and min_flt in ps.1 Closes: #434221
Checksums-Sha1: 
 6cba770a707896c179388efcca324661f68cfdda 1166 procps_3.2.8-8.dsc
 0e1beaa5cd4c36afb09a5d46214d8ac26e929d04 86642 procps_3.2.8-8.debian.tar.gz
 767806723f71fbf399f8e4effe2df81976818550 248700 procps_3.2.8-8_amd64.deb
 f2738a378b94edf921df59b3f53ed8719ce51f92 65102 libproc-dev_3.2.8-8_amd64.deb
Checksums-Sha256: 
 0b698eb9dae28510ec3ed003135a795cc6dcbaf2d6de1a264e03cf0cf082e6ab 1166 procps_3.2.8-8.dsc
 3a9320c4569776ad74cf9e2b3b3d21163cc70d06af4318189012f2738eb519fc 86642 procps_3.2.8-8.debian.tar.gz
 489ad9895343981057809772139e682b01cfebe7f43b77772fd1a446bf22d126 248700 procps_3.2.8-8_amd64.deb
 103cd7f1f5badccf6beac50b737e2bfee86bb86a8f5af4ac17665c3e97ee7e34 65102 libproc-dev_3.2.8-8_amd64.deb
Files: 
 df8b98a28267d9742ce946160d6cdb61 1166 admin important procps_3.2.8-8.dsc
 087d48c2127bd722d2ea1299b7326e98 86642 admin important procps_3.2.8-8.debian.tar.gz
 de381f45713f2d5b60e39ec6199e11da 248700 admin important procps_3.2.8-8_amd64.deb
 d58644fdf6450590b24b9e1c3d0702c5 65102 libdevel optional libproc-dev_3.2.8-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLi1lzx2zlrBLK36URAhCrAJsGD48ZgGkyRLlnzaV15utGIDmSXQCePmI8
EHEDj80dVEnIpxVZ/uZv98s=
=eDKT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 19 Nov 2010 07:32:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:29:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.